Skip to main content
GET
/
{vin}
/
invitations
Get Invitations
curl --request GET \
  --url https://api.tessie.com/{vin}/invitations \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tessie.com/{vin}/invitations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tessie.com/{vin}/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "id": 2252266471835261,
      "owner_id": 1311857,
      "share_user_id": null,
      "product_id": "7SAXCBE6XPF123456",
      "state": "pending",
      "code": "d9SZ0FG_CuVqQ7OoVx1_e5-UOGLt83MqxT7BY8DsaeCs",
      "expires_at": "2023-11-29T00:55:31.000Z",
      "revoked_at": null,
      "borrowing_device_id": null,
      "key_id": null,
      "product_type": "vehicle",
      "share_type": "customer",
      "active_pubkeys": [
        null
      ],
      "id_s": "2252266471835261",
      "owner_id_s": "1311857",
      "share_user_id_s": "",
      "borrowing_key_hash": null,
      "vin": "7SAXCBE6XPF123456",
      "share_link": "https://www.tesla.com/_rs/1/d9SZ0FG_CuVqQ7OoVx1_e5-UOGLt83MqxT7BY8DsaeCs"
    },
    {
      "id": 2252267587512399,
      "owner_id": 1311857,
      "share_user_id": null,
      "product_id": "7SAXCBE6XPF123456",
      "state": "pending",
      "code": "deu-VGwpumXGXSLHCpWN2DVedKIs7fBpdiqO76Qv7KW4",
      "expires_at": "2023-11-29T00:59:06.000Z",
      "revoked_at": null,
      "borrowing_device_id": null,
      "key_id": null,
      "product_type": "vehicle",
      "share_type": "customer",
      "active_pubkeys": [
        null
      ],
      "id_s": "2252267587512399",
      "owner_id_s": "1311857",
      "share_user_id_s": "",
      "borrowing_key_hash": null,
      "vin": "7SAXCBE6XPF123456",
      "share_link": "https://www.tesla.com/_rs/1/deu-VGwpumXGXSLHCpWN2DVedKIs7fBpdiqO76Qv7KW4"
    },
    {
      "id": 2252270843114074,
      "owner_id": 1311857,
      "share_user_id": null,
      "product_id": "7SAXCBE6XPF123456",
      "state": "pending",
      "code": "div7Qqpxlq6-kKZ2AxkvLw3oCp_JsxdYJnQsYYB2jL3w",
      "expires_at": "2023-11-29T00:55:18.000Z",
      "revoked_at": null,
      "borrowing_device_id": null,
      "key_id": null,
      "product_type": "vehicle",
      "share_type": "customer",
      "active_pubkeys": [
        null
      ],
      "id_s": "7SAXCBE6XPF123456",
      "owner_id_s": "1311857",
      "share_user_id_s": "",
      "borrowing_key_hash": null,
      "vin": "7SAXCBE6XPF123456",
      "share_link": "https://www.tesla.com/_rs/1/div7Qqpxlq6-kKZ2AxkvLw3oCp_JsxdYJnQsYYB2jL3w"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vin
string
required

The associated VIN.

Response

200 - application/json

OK

results
object[]